Subject: Unable to overwrite inherited ACL roles in Policy.yaml

Description

Roles are inherited correctly but you can not overwrite a previously defined DENY with a GRANT. It's working fine to overwrite a

GRANT with a DENY bit

See attached PDF document for clarification.

not vice versa.

Please note: this ticket is related to #8427 (see examples there) but describes a (new) system behaviour (bug).

Associated revisions

Revision a7aa0a75 - 2010-12-09 18:57 - Andreas Forthner

[~FEATURE] FLOWS (Security): Add all resources to the 'Everybody' role by default

This adds an "ABSTAIN" privilege to all resources for the "Everybody"
role in the policy. By this DENY and GRANT can be use more explicit

and all resources are protected by default and need not to be denied

manually.

Relates to: #8576

Change-Id: Ibf3a480b108536f8a69a69e79e20c795155a82b6

History

#1 - 2010-07-01 04:21 - Michael Schams

- File issue8576-FLOWS3-overwrite-inherited-access-roles.pdf added

#2 - 2010-07-01 10:18 - Karsten Dambekalns

- Status changed from New

to Accepted

- Assigned To set to Andreas Férthner

- Target version set to 1.0 alpha 10

- Estimated time set to 2.00

#3 - 2010-07-09 15:03 - Andreas Forthner

- Target version changed from 1.0 alpha 10 to 1.0 alpha 11

#4 - 2010-08-19 11:34 - Karsten Dambekalns
- Target version deleted (1.0 alpha 11)
#5 - 2010-10-11 13:17 - Andreas Foérthner

- Target version set to 1.0 alpha 13

#6 - 2010-11-16 16:42 - Karsten Dambekalns
- Target version changed from 1.0 alpha 13 to 1.0 alpha 14

#7 - 2010-12-12 18:40 - Andreas Foérthner

- Status changed from Accepted to Resolved

| close this issue, as the introduction of the new Everybody role and the fact, that every resource is automatically added to this role with an ABSTAIN
privilege, should solve the issue.

Here is a short explanation how privilege evaluation works:

The DENY privilege overrides any other privilege no matter of the inheritance. This is done by intention. By defining a resource it is by default denied to

everyone. As soon as one of the roles (or inherited parent roles) gets a GRANT privilge and no DENY privilege the account is allowed to access. The

new ABSTAIN privilege is just ignored when evaluating the access decision, but if no other privilege is found, access is denied.
